/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_forms_v
AS
SELECT f.any_path
      ,f.title
      ,xxas_forms_pkg.form_id(f.any_path) form_id 
FROM (SELECT rv.any_path
            ,xxas_forms_pkg.form_title(rv.any_path) title
      FROM resource_view rv
      WHERE rv.any_path like '%xxas%xml'
      AND rv.any_path NOT LIKE '%view/block%'
      ) f
ORDER BY f.title;
/*
SELECT * FROM 
(SELECT rv.any_path
      ,xxas_forms_pkg.form_title(rv.any_path) title
      --,XDBURIType(rv.any_path).getxml() view_xml
      ,xxas_forms_pkg.form_id(rv.any_path) form_id
FROM resource_view rv
WHERE rv.any_path like '%xxas%xml'
AND rv.anypath NOT LIKE '%xxas%view/block%')
ORDER BY title;
*/
/

COMMIT;
EXIT;

